Bug 841766 - Review Request: erlang-riak_search - Full-text search engine based on Riak
Review Request: erlang-riak_search - Full-text search engine based on Riak
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On: 591926 639263 652546 652585 652598 652629 671884 739014 822472 823101
Blocks: 652682
  Show dependency treegraph
 
Reported: 2012-07-20 04:33 EDT by Peter Lemenkov
Modified: 2012-09-01 20:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 01:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
puiterwijk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-07-20 04:33:30 EDT
Spec URL: http://peter.fedorapeople.org/erlang-riak_search.spec
SRPM URL: http://peter.fedorapeople.org/erlang-riak_search-1.1.2-1.fc18.src.rpm
Description: The riak_search OTP application provides Riak with the capability to act as a text search engine similar to Apache’s Lucene. Previously Riak Search was a release in it’s own right. Since then Basho has decided it would be easier for our users if Search was simply a set of functionality that can be enabled via a config option. For that reason, if you want to use Search you’ll have to build a Riak release and enable it.
Fedora Account System Username: peter
Comment 1 Peter Lemenkov 2012-07-26 05:42:21 EDT
Unblocking NotReady - all dependencies are availabne at least in Rawhide and it builds just fine now:

Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4330596
Comment 2 Patrick Uiterwijk 2012-07-26 07:38:08 EDT
I'll review this one
Comment 3 Patrick Uiterwijk 2012-07-26 14:08:36 EDT
This cannot be reviewed yet, as erlang-riak_kv is not yet available in rawhide.
I will do this tomorrow, after the new rawhide compose, as this package was built yesterday.
Comment 4 Patrick Uiterwijk 2012-07-29 07:35:34 EDT
Since erlang-riak_kv has now made it into a rawhide compose, hereby a review:

- With this package, you again have a sed line. Please replace this with a patch.

- Here the ouput from fedora-review:

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary.
     Note: Please add a comment why the %{?_isa} are needed
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[!]: MUST Useful -debuginfo package or justification otherwise.
     Note: Please add a description to %global debug_package %{nil} please
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
     Note: 1.1.4 is release about a month ago
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (basho-riak_search-1.1.2-0-g31220b9.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: erlang-riak_search-1.1.2-1.fc18.src.rpm
          erlang-riak_search-1.1.2-1.fc18.x86_64.rpm
erlang-riak_search.src: W: spelling-error %description -l en_US riak -> risk, rial, rink
erlang-riak_search.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
erlang-riak_search.src: W: invalid-url Source0: basho-riak_search-1.1.2-0-g31220b9.tar.gz
erlang-riak_search.x86_64: W: spelling-error %description -l en_US riak -> risk, rial, rink
erlang-riak_search.x86_64: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
erlang-riak_search.x86_64: E: no-binary
erlang-riak_search.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
erlang-riak_search-1.1.2-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    erlang-cluster_info(x86-64)  
    erlang-crypto(x86-64)  
    erlang-erts(x86-64)  
    erlang-eunit(x86-64)  
    erlang-inets(x86-64)  
    erlang-kernel(x86-64)  
    erlang-lager(x86-64)  
    erlang-luke(x86-64)  
    erlang-merge_index(x86-64)  
    erlang-mochiweb(x86-64)  
    erlang-riak_core(x86-64)  
    erlang-riak_kv(x86-64)  
    erlang-riak_pipe(x86-64)  
    erlang-stdlib(x86-64)  
    erlang-webmachine(x86-64)  
    erlang-xmerl(x86-64)  

Provides
--------
erlang-riak_search-1.1.2-1.fc18.x86_64.rpm:
    
    erlang-riak_search = 1.1.2-1.fc18
    erlang-riak_search(x86-64) = 1.1.2-1.fc18

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Comment 5 Peter Lemenkov 2012-07-29 12:02:35 EDT
Thanks!

(In reply to comment #4)

> - With this package, you again have a sed line. Please replace this with a
> patch.

Done.

> [x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at
> the
>      beginning of %install.
>      Note: rm -rf would be needed if support for EPEL5 is required

This package isn't intended for EL5.

> [!]: MUST Package consistently uses macro is (instead of hard-coded directory
>      names).
>      Note: Using both %{buildroot} and $RPM_BUILD_ROOT

Done.

> [!]: MUST Requires correct, justified where necessary.
>      Note: Please add a comment why the %{?_isa} are needed

This package is arch-dependent (due to installation into arch-dependent directory - %{_libdir}erlang/lib) so I have to obey Fedora guidelines for arch-specific packages.

> [!]: MUST Useful -debuginfo package or justification otherwise.
>      Note: Please add a description to %global debug_package %{nil} please

Done. Comment added.

> [!]: SHOULD Latest version is packaged.
>      Note: 1.1.4 is release about a month ago

Done.

> [!]: SHOULD SourceX / PatchY prefixed with %{name}.
>      Note: Source0 (basho-riak_search-1.1.2-0-g31220b9.tar.gz)

That's how GitHub names git snapshots. We can't do much here.


New package:

* http://peter.fedorapeople.org/erlang-riak_search.spec
* http://peter.fedorapeople.org/erlang-riak_search-1.1.4-1.fc18.src.rpm

Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4340192
Comment 6 Patrick Uiterwijk 2012-07-29 13:49:26 EDT
Apart from those, I could not find any problems, so I declare this package 

APPROVED
Comment 7 Peter Lemenkov 2012-07-29 14:54:14 EDT
(In reply to comment #6)
> Apart from those, I could not find any problems, so I declare this package 
> 
> APPROVED

Thanks!

New Package SCM Request
=======================
Package Name: erlang-riak_search
Short Description: Full-text search engine based on Riak
Owners: peter
Branches: f17 el6
InitialCC:
Comment 8 Jon Ciesla 2012-07-29 18:40:38 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-08-24 04:40:40 EDT
erlang-riak_search-1.1.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-riak_search-1.1.4-1.fc17
Comment 10 Fedora Update System 2012-09-01 20:26:02 EDT
erlang-riak_search-1.1.4-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.